Bug 496027 - Need to appropriately desensitize two-fingered scrolling in the mouse capplet
Need to appropriately desensitize two-fingered scrolling in the mouse capplet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 02:04 EDT by Jonathan Blandford
Modified: 2013-04-02 00:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: control-center-2.28.1-16.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 21:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2009-04-16 02:04:20 EDT
Currently the mouse capplet lets you set two-fingered scrolling regardless of what the hardware supports.  It should really find out the capabilities of the current hardware and desensitize that control if you can't set it.
Comment 1 Peter Hutterer 2009-04-16 02:09:39 EDT
One of the problems we have is that the synaptics driver doesn't expose this information. Currently, looking in the X.org log files is the only way to find out.

I need to see if we can add button labeling to synaptics too.
Comment 2 Bug Zapper 2009-06-09 09:54:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:42:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Hutterer 2010-04-27 21:01:08 EDT
fixed in F-12

control-center-2.28.1-16.fc12

Note You need to log in before you can comment on or make changes to this bug.